package com.xynet.marketing.controller;

import com.xynet.marketing.service.factory.plus.PlusFactory;
import com.xynet.marketing.utils.FactoryUtils;
import com.xynet.marketing.utils.R;
import com.xynet.marketing.utils.error.BusinessException;
import com.xynet.marketing.utils.redis.utils.RedisService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("test")
@AllArgsConstructor
@Slf4j
public class TestController {
    private RedisService<Object> redisService;

    @PostMapping("aa")
    public R<String> aa(@RequestBody Map<String,Object> param) {
        String v = FactoryUtils.getService(PlusFactory.class, param.get("v").toString()).save(param);
        return R.ok(v);
    }
}
